import { Action } from './';
export interface NotificationAction extends Action {
    title: string;
    notificationType: 'notice' | 'warning' | 'error' | 'success';
    timeAlive: number;
}
/**
 * Returns an action that describes to open a notification in the editor
 *
 * @export
 * @param {string} title
 * @param {('notice' | 'warning' | 'error' | 'success')} [notificationType='notice']
 * @param {number} [timeAlive=2] How long the notification should show in seconds
 * @returns {NotificationAction}
 */
export declare function show(title: string, notificationType?: 'notice' | 'warning' | 'error' | 'success', timeAlive?: number): NotificationAction;
