export declare const isStandalone: boolean;
/**
 * Resolves when the handshake between the frame and the editor has succeeded
 */
export declare const iframeHandshake: Promise<unknown>;
export declare function resetState(): void;
/**
 * Send a message to the editor, this is most probably an action you generated
 *
 * @export
 * @param {*} message
 * @returns
 */
export declare function dispatch(message: any): void;
export declare type Callback = (message: object, source?: MessageEvent['source'] | null | undefined) => void;
/**
 * Listen to everything that comes in from either the editor or the sandbox
 * @param callback Call this function to 'unlisten'
 */
export declare function listen(callback: Callback): () => void;
export declare function notifyListeners(data: object, source?: MessageEvent['source']): void;
/**
 * Register an window as a output the `dispatch` function can send messages to.
 *
 * @param frame
 */
export declare function registerFrame(frame: Window, origin: string, bundlerId?: number): void;
export declare function reattach(): void;
