import { TranspiledModule } from '../typings/codesandbox';
export declare type SuggestionAction = (module: TranspiledModule, modules: TranspiledModule[]) => boolean;
export interface Suggestion {
    title: string;
    action: SuggestionAction;
}
export declare type Check = (error: Error, module: TranspiledModule, modules: TranspiledModule[]) => {
    name: string | undefined;
    message: string;
    suggestions: Suggestion[];
} | null;
export declare function transformError(error: Error, module: TranspiledModule, modules: TranspiledModule[]): {
    name: string | undefined;
    message: string;
    suggestions: Suggestion[];
} | null;
export declare function clearErrorTransformers(): void;
export declare function registerErrorTransformer(check: Check): void;
